summaryrefslogtreecommitdiff
path: root/test/integration/header-compilation
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/header-compilation')
-rwxr-xr-xtest/integration/header-compilation26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/integration/header-compilation b/test/integration/header-compilation
new file mode 100755
index 000000000..634504b71
--- /dev/null
+++ b/test/integration/header-compilation
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+
+(for i in $TESTDIR/../../build/include/apt-pkg/*.h; do echo "#include \"$i\""; done) > include.h
+
+
+testone() {
+ local cxx=$1
+ shift
+
+ if type $cxx 2>&1 1>/dev/null; then
+ testsuccess $cxx -c -o /dev/null include.h
+ testsuccess $cxx -c -o /dev/null -std=c++98 include.h
+ testsuccess $cxx -c -o /dev/null -std=c++11 include.h
+ else
+ msgskip "Compile $cxx is not installed"
+ fi
+}
+
+testone clang++
+testone g++
+testone g++-4.8